<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of ePUBmaker, a plugin for Dotclear 2.
# 
# Copyright (c) 2012 Osku and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_RC_PATH')) { return; }

class ePUBtemplate
{
	public static function ePUBTitle($attr)
	{
		$f = $GLOBALS['core']->tpl->getFilters($attr);
		
		return '<?php echo '.sprintf($f,'$_ctx->epub_title').'; ?>';
	}

	public static function ePUBSubject($attr)
	{
		$f = $GLOBALS['core']->tpl->getFilters($attr);
		
		return '<?php echo '.sprintf($f,'$_ctx->epub_subject').'; ?>';
	}

	public static function ePUBChapters($attr,$content)
	{
		$res =
		'<?php while ($_ctx->posts->fetch()) : ?>'.$content.'<?php endwhile; ?>';
		
		return $res;
	}

	public static function ePUBDate($attr)
	{
		//dt::str("%Y-%m-%d",null,$core->blog->settings->system->blog_timezone)
		$f = $GLOBALS['core']->tpl->getFilters($attr);

		return '<?php echo '.sprintf($f,'dt::str("%Y-%m-%d")').'; ?>';
	}

	public static function ePUBChapterID($attr)
	{
		return '<?php echo ($_ctx->posts->index() + 1); ?>';
	}

	public static function ePUBplayOrder($attr)
	{
		return '<?php echo ($_ctx->posts->index() + 3); ?>';
	}

	public static function ePUBUUID($attr)
	{
		return '<?php echo $_ctx->epub_uuid; ?>';
	}

//ePUBCreator  ePUBContributor

	public static function ePUBContributor($attr)
	{
		$f = $GLOBALS['core']->tpl->getFilters($attr);
		return '<?php echo '.sprintf($f,'dcUtils::getUserCN($_ctx->users->user_id, $_ctx->users->user_name, $_ctx->users->user_firstname, $_ctx->users->user_displayname)').'; ?>';
	}

	public static function ePUBContributors($attr,$content)
	{
		$res =
		'<?php while ($_ctx->users->fetch()) : ?>'.$content.'<?php endwhile; ?>';
		
		return $res;
	}

	public static function ePUBCreator($attr)
	{
		return '<?php echo ($core->auth->getInfo(\'user_cn\')); ?>';
	}

	public static function ePUBImages($attr,$content)
	{
		$res =
		'<?php while ($_ctx->epub_images->fetch()) : ?>'.$content.'<?php endwhile; ?>';
		
		return $res;
	}

	public static function ePUBImageName($attr)
	{
		return '<?php echo $_ctx->epub_images->image; ?>';
	}

	public static function ePUBImageType($attr)
	{
		return '<?php echo files::getMimeType($_ctx->epub_images->image); ?>';
	}

	public static function ePUBImageID($attr)
	{
		return '<?php echo ($_ctx->epub_images->index() + 1); ?>';
	}
}
?>
